package cn.com.ty.lift.business.push.entity;

import cn.hutool.core.util.StrUtil;
import lombok.Data;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

@Data
public class RepairTips {
    /**
     * 维保公司id
     */
    private Long    mtCompanyId;
    /**
     * 区域主管id
     */
    private Long    directorId;
    /**
     * 文员
     */
    private String  clerk;
    /**
     * 区域
     */
    private String  areaName;
    /**
     * 急修状态
     */
    private Integer status;
    /**
     * 急修单总数
     */
    private Integer total;

    /**
     * 返回区域主管和文员的id列表
     */
    public List<Long> members() {
        List<Long> members = new ArrayList<>();
        if (Objects.nonNull(directorId)) {
            members.add(directorId);
        }
        if (StrUtil.isNotBlank(clerk)) {
            try {
                if (clerk.contains(",")) {
                    members.addAll(Arrays.stream(clerk.split(",")).map(c -> Long.parseLong(c.trim())).collect(Collectors.toSet()));
                } else {
                    members.add(Long.parseLong(clerk.trim()));
                }
            } catch (Exception ignore) {
            }
        }
        return members;
    }
}